import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading GenericToGodexSensorType Converter")

class GenericToGodexSensorType(Converter):

    def Execute(self, args):
        res = ""
        if args[0] == "None":
            res = "Auto"
        elif args[0] == "Gap":
            res = "See-Through"
        elif args[0] == "Mark":
            res = "Reflective"
        return res




plugin = GenericToGodexSensorType("GenericToGodexSensorType")

store.AddConverter(plugin)